Loading...
Searching...
No Matches
caf::group_module Class Referenceabstract

Interface for user-defined multicast implementations. More...

`#include <group_module.hpp>`

## Public Member Functions

| group_module (actor_system &sys, std::string mname)
virtual void | stop ()=0
| Stops all groups from this module.
virtual expected< group > | get (const std::string &group_name)=0
| Returns a pointer to the group associated with the name group_name.
virtual error | load (deserializer &source, group &storage)=0
| Loads a group of this module from source and stores it in storage.
actor_system & | system () const
| Returns the hosting actor system.
const std::string & | name () const
| Returns the name of this module implementation.

## Detailed Description

Interface for user-defined multicast implementations.

## Member Function Documentation

## get()

virtual expected< group > caf::group_module::get | ( | const std::string & | group_name | ) |

pure virtual

Returns a pointer to the group associated with the name group_name.

@threadsafe

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/group_module.hpp